%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:             jboss-jaspi-1.0-api
Version:          1.0.1
Release:          17%{?dist}
Summary:          JBoss Java Authentication SPI for Containers 1.0 API
License:          CDDL or GPLv2 with exceptions
URL:              http://www.jboss.org

# git clone git://github.com/jboss/jboss-jaspi-api_spec.git
# cd jboss-jaspi-api_spec/ && git archive --format=tar --prefix=jboss-jaspi-1.0-api/ jboss-jaspi-api_1.0_spec-1.0.1.Final | xz > jboss-jaspi-1.0-api-1.0.1.Final.tar.xz
Source0:          %{name}-%{namedversion}.tar.xz

BuildRequires:    maven-local
BuildRequires:    mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:    mvn(org.apache.maven.plugins:maven-enforcer-plugin)
BuildRequires:    mvn(org.jboss:jboss-parent:pom:)
BuildRequires:    xmvn

BuildArch:        noarch

%description
The Java Authentication SPI for Containers 1.0 API classes

%package javadoc
Summary:          Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n jboss-jaspi-1.0-api

%pom_remove_plugin :maven-source-plugin

# Fixing JDK7 ASCII issues
files='
src/main/java/javax/security/auth/message/callback/PasswordValidationCallback.java
src/main/java/javax/security/auth/message/config/AuthConfigFactory.java
src/main/java/javax/security/auth/message/config/AuthConfigProvider.java
src/main/java/javax/security/auth/message/config/ClientAuthConfig.java
src/main/java/javax/security/auth/message/config/ServerAuthConfig.java
src/main/java/javax/security/auth/message/module/ClientAuthModule.java
src/main/java/javax/security/auth/message/module/ServerAuthModule.java
'

for f in ${files}; do
  native2ascii -encoding UTF8 ${f} ${f}
done

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%doc README
%license LICENSE

%files javadoc -f .mfiles-javadoc
%license LICENSE

%changelog
* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Aug 09 2016 gil cattaneo <puntogil@libero.it> 1.0.1-12
- add missing build requires: xmvn
- adapt to current guideline
- use BRs mvn()-like 

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Oct 23 2013 Ricardo Arguello <ricardo@fedoraproject.org> - 1.0.1-8
- Small indentation and changelog fixes

* Mon Oct 21 2013 Marek Goldmann <mgoldman@redhat.com> - 1.0.1-7
- Rebuild with xmvn

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 1.0.1-4
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Mon Aug 6 2012 Ricardo Arguello <ricardo@fedoraproject.org> - 1.0.1-3
- Added BR: maven-enforcer-plugin

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Apr 04 2012 Marek Goldmann <mgoldman@redhat.com> - 1.0.1-1
- Upstream release 1.0.1.Final
- Fixed R and BR

* Fri Mar 09 2012 Marek Goldmann <mgoldman@redhat.com> - 1.0.1-0.1.20120309gitdc8eed
- Packaging after license cleanup upstream

* Fri Feb 24 2012 Marek Goldmann <mgoldman@redhat.com> - 1.0.0-3
- Relocated jars to _javadir

* Fri Jan 27 2012 Ricardo Arguello <ricardo@fedoraproject.org> - 1.0.0-2
- Get source from git
- Fixed wrong javadoc copy
- Group changed to Development/Libraries

* Wed Jan 25 2012 Ricardo Arguello <ricardo@fedoraproject.org> - 1.0.0-1
- Initial packaging
